Platform requirements

The web pages and web-based applications hosted by vision2learn for primary require a minimum web browser of Microsoft Internet Explorer 8.0 or higher, Mozilla Firefox 10.0 or higher, Opera version 12 or higher, or any version of Google Chrome to view these pages correctly.

If you are not sure of the version of your browser, select Help in the menu bar of your browser and choose About.

Web browsers

If you need to upgrade your Web browser, please follow one of the links listed below:

If you use another browser please enter the name of it into a search engine to find the appropriate website to ensure you are running the latest version.

Javascript

The web pages and web-based applications hosted by vision2learn for primary require your web browser to support Javascript. By default, the major web browsers are configured to handle this requirement.

Cookies

The web-based applications hosted by vision2learn for primary require your web browser to have session cookies enabled. By default, session cookies are enabled on all major web browsers.